 #include<iostream.h>
 #include<iomanip.h>
 float f1(float x);//函数声明
 float f2(float x);//函数声明
  int main()
{
 float integral(float (*p)(float),float a,float b);//函数声明
 float s1,s2;
 s1=integral(f1,0,1);//函数调用
 s2=integral(f2,0,1);//函数调用
 cout<<"s1="<<setw(5)<<setprecision(5)<<s1<<endl;
 cout<<"s2="<<setw(5)<<setprecision(5)<<s2<<endl;
 return(0);
} 
 float integral(float (*p)(float),float a,float b)
{
 float sum;
 sum=0.5*(b-a)*(p(a)+p(b));//利用指针调用函数
 return(sum);
}
 float f1(float x)
{
 float s;
 s=2*x+3;
 return(s);
}
 float f2(float x)
{
 float s;
 s=x*x-3*x+5;
 return(s);
}
